//
//  MQResultSetDataSource.h
//  MySQL QueryBrowser
//
//  Created by Alfredo Kojima on 3/6/05.
//  Copyright 2005 MySQL AB. All rights reserved.
//

#import <Cocoa/Cocoa.h>

#include <myx_public_interface.h>


typedef enum {
  MQUnchanged,
  MQChanged,
  MQAdded,
  MQDeleted
} MQRSStatus;

@class MSparseMatrix;

@interface MQResultSetDataSource : NSObject 
{
  MYX_RESULTSET *_resultset;
  NSZone *_zone;
  
  MSparseMatrix *_changes;
  int _newRowCount;
  
  BOOL _editEnabled;
}

- (id)initWithResultSet:(MYX_RESULTSET*)rs;

- (MYX_RESULTSET*)resultset;

- (int)numberOfRowsInTableView:(NSTableView *)aTableView;
- (id)tableView:(NSTableView *)aTableView
 objectValueForTableColumn:(NSTableColumn *)aTableColumn
			row:(int)rowIndex;

- (id)tableView:(NSTableView *)aTableView 
objectValueForTableColumn:(NSTableColumn *)aTableColumn
			row:(int)rowIndex;

- (void)tableView:(NSTableView *)aTableView 
   setObjectValue:(id)anObject 
   forTableColumn:(NSTableColumn *)aTableColumn 
			  row:(int)rowIndex;

- (void)addRow;
- (void)deleteRow:(int)rowIndex;

- (MQRSStatus)statusOfRow:(int)row
				   column:(int)column;

- (BOOL)isEditable;
- (BOOL)editing;
- (void)setEditing:(BOOL)flag;

- (void)discardChanges;
- (void)prepareForSave;
- (void)commitActions;

@end
