//
//  MQResultSetTab.m
//  MySQL QueryBrowser
//
//  Created by Alfredo Kojima on 3/13/05.
//  Copyright 2005 MySQL AB. All rights reserved.
//

#import "MQResultSetTab.h"
#import "MQResultSetView.h"

@implementation MQResultSetTab

- (id)initWithIdentifier:(NSString*)identifier
{
  self= [super initWithIdentifier:identifier];
  if (self)
  {
	_rslist= [[NSMutableArray alloc] initWithCapacity:1];
	
	_view= [[NSSplitView alloc] initWithFrame:NSMakeRect(0, 0, 400, 500)];

	[_view setAutoresizingMask:NSViewWidthSizable|NSViewHeightSizable];	
  }

  return self;
}


- (void)dealloc
{
  [_rslist release];
  [super dealloc]; // _view is released by super
}


- (void)addResultSet:(MQResultSetView*)rsview
{
  [_rslist addObject:rsview];
  
  [_view addSubview:[rsview view]];
  [[rsview view] setAutoresizingMask:NSViewWidthSizable|NSViewHeightSizable];
  [(NSSplitView*)_view adjustSubviews];
}


- (MQResultSetView*)activeResultSet
{
  return [_rslist objectAtIndex:0];
}


@end
