/* MQResultSetView */

#import <Cocoa/Cocoa.h>

#include <myx_public_interface.h>

@class MQResultSetDataSource;

@interface MQResultSetView : NSObject
{
  IBOutlet NSTableView *table;
  IBOutlet NSView *view;
  IBOutlet NSTextField *statusLabel;
  IBOutlet NSTableView *messageTable;

  NSString *_query;
  
  MYSQL *_mysql;
  id _delegate;
  MQResultSetDataSource *_dataSource;
  
  NSColor *_statusColors[4];
  
  id _messageDS;
  
  BOOL _busy;
}

- (IBAction)addRow:(id)sender;
- (IBAction)deleteRow:(id)sender;
- (IBAction)copyField:(id)sender;
- (IBAction)saveField:(id)sender;
- (IBAction)loadField:(id)sender;
- (IBAction)clearField:(id)sender;
- (IBAction)editField:(id)sender;
- (IBAction)viewField:(id)sender;

- (IBAction)editRS:(id)sender;
- (IBAction)commitRS:(id)sender;
- (IBAction)discardRS:(id)sender;
- (IBAction)goFirst:(id)sender;
- (IBAction)goLast:(id)sender;
- (IBAction)searchRS:(id)sender;

- (id)initWithConnectionTo:(MYX_USER_CONNECTION*)info;

- (void)setDefaultSchema:(NSString*)schema;

- (id)view;

- (void)setDelegate:(id)delegate;

- (void)performQuery:(NSString*)query;
- (void)performApply;

- (BOOL)isBusy;

- (void)setQuery:(NSString*)query;
- (NSString*)query;

@end
