
#import <Cocoa/Cocoa.h>

#include "myx_public_interface.h"

@class MQueryBrowser;

// this does the role of a NSDocumentController
@interface MQueryBrowserController : NSObject
{
  IBOutlet id aboutPanel;
  IBOutlet id versionLabel;
  IBOutlet id recentMenu;
  
  NSMutableArray *_history;
  NSMutableArray *_bookmarks;
  
  id _prefPanel;
  NSMutableArray *_instances;
}

- (IBAction)showAbout:(id)sender;
- (IBAction)showPreferences:(id)sender;
- (IBAction)clearRecentMenu:(id)sender;

+ (MQueryBrowserController*)sharedDocumentController;

- (void)newDocument: (id)sender;

- (void)addInstance: (MQueryBrowser*)instance;

- (void)removeInstance: (MQueryBrowser*)instance;

- (void)openInstanceWithConnectionName: (NSString*)connectionName;

- (void)noteNewRecentConnection: (MYX_USER_CONNECTION*)info;

- (void)bookmarkQuery:(NSString*)query;

- (void)rememberQuery:(NSString*)query
			   schema:(NSString*)schema;

@end
